//  Sourcery -:-  (C)opyright 2003-2004 Rick Caudill
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include "colorbutton.h"

/*
** name:       ColorButton Constructor
** purpose:    Constructs the colorbutton
** parameters: Rect(that tells the size of the button), String(holds the name of the button),
**			   String(holds the title of the button), Message(holds the message of the button),
**			   Color32_s(holds the color displayed on the button)
** returns:
*/
ColorButton::ColorButton( const os::Rect & cFrame, const os::String &cName, os::Message * pcMessage, os::Color32_s sColor ) : os::Button( cFrame, cName, "", pcMessage )
{
	sColorBg = sColor;
}

void ColorButton::SetColor( os::Color32_s sColor )
{
	sColorBg = sColor;
	Flush();
}

void ColorButton::Paint( const os::Rect & cUpdateRect )
{
	uint32 nFrameFlags = os::FRAME_RECESSED;
	DrawFrame( GetBounds(), nFrameFlags );
	os::View::FillRect( os::Rect( 5, 5, GetBounds().Width() - 5, GetBounds().Height() - 5 ), sColorBg );
}

os::Point ColorButton::GetPreferredSize( bool bLargest ) const
{
	if( bLargest )
	{
		return os::Point( os::COORD_MAX, os::COORD_MAX );
	}
	else
	{
		os::font_height sHeight;
		GetFontHeight( &sHeight );
		os::Point cStringExt = GetTextExtent( GetLabel() );
		return os::Point( cStringExt.x + 35, cStringExt.y + 10 + sHeight.line_gap );
	}
}
