//  Sourcery -:-  (C)opyright 2003-2004 Rick Caudill
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef _COMMON_FUNCS_H_
#define _COMMON_FUNCS_H_

//libsyllable
#include <util/string.h>
#include <util/datetime.h>
#include <gui/image.h>
#include <util/resources.h>
#include <atheos/image.h>
#include <sys/sysinfo.h>

//codeview specific
#include <codeview/format.h>
#include <codeview/format_c.h>
#include <codeview/format_java.h>
#include <codeview/format_perl.h>
#include <codeview/format_html.h>

//standard
#include <unistd.h>
#include <pwd.h>
#include <vector>

//mine
#include "formatset.h"
#include "file.h"

typedef std::vector < FormatSet > tList;

os::String GetDate();
os::String GetDateAndTime();
os::String GetTime();
os::String GetHeader();
os::String GetComment( const os::String &cFileType );
os::String GetRelativePath( const os::String &cPath );
os::String GetExtension( const os::String &cPath );
os::String ConvertSizeToString( uint );
os::String ConvertIntToString( int );
os::String ConvertCrLfToLf( const os::String & );
os::String RemoveExtension( const os::String & );
os::String GetDirectoryofFileOpened( const os::String &cFile );
os::String GetFileNameOnly( const os::String & );
os::String ParseForMacros( const os::String &, SourceryFile * );
os::String ParseForUnderScores( const os::String & );
os::String GetSystemInfo();
os::String GetBuildInfo();
os::String GetName();
os::String GetLinesFromFile( os::File * );
os::String GetApplicationPath();
os::BitmapImage * LoadImageFromResource( const os::String &cName );
os::Color32_s Tint( const os::Color32_s & sColor, float vTint );

tList GetFormats();

int GetCommentCount( const os::String & );
int GetLineCount( const os::String & );
void SetBackupFile( const os::String &, const os::String & );

#endif //_COMMON_FUNCS_H_
