//  Sourcery -:-  (C)opyright 2003-2004 Rick Caudill
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef __F_UTIL__EXECUTE_H__
#define __F_UTIL__EXECUTE_H__

#include <util/string.h>
#include <unistd.h>
#include <stdio.h>
#include <storage/file.h>
#include <string.h>

class Execute
{
public:
	enum { EXECUTE_EXECVP = 0x002, EXECUTE_SYSTEM, EXECUTE_POPEN };

public:
	Execute( const os::String &, const os::String &, uint32 nType = EXECUTE_EXECVP );
	~Execute();

	void Run();

	os::String GetCommand();
	os::String GetArguments();
	uint32 GetType();
	void SetCommand( const os::String & );
	void SetArguments( const os::String & );
	void SetType( uint32 );
	bool IsValid();

private:
	class Private;
	Private *m;

	void _RunExecvp();
	void _RunSystem();
	void _RunPopen();
	void _GetParameters( char ** );
};

#endif //__F_UTIL__EXECUTE_H__
