//  Sourcery -:-  (C)opyright 2003-2004 Rick Caudill
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef _FILE_PROPERTIES_H
#define _FILE_PROPERTIES_H

#include <gui/window.h>
#include <gui/stringview.h>
#include <util/string.h>
#include <gui/layoutview.h>
#include <gui/frameview.h>
#include <storage/file.h>
#include <gui/button.h>
#include <gui/font.h>

#include "commonfuncs.h"
#include "file.h"

class FileProp : public os::Window
{
public:
	FileProp( os::Window * pcWindow, os::Message * pcFile );
	virtual void HandleMessage( os::Message * pcMessage );

private:
	void _Layout();

	os::LayoutView *pcLVMain;
	os::VLayoutNode *pcVLMain, *pcVLFilePath;
	os::HLayoutNode *pcHLTimeStamp, *pcHLButton, *pcHLSizeAndLines, *pcHLRelative, *pcHLAbsolute;
	os::FrameView *pcFVFilePath;
	os::StringView *pcSVRelativeOne, *pcSVRelativeTwo;
	os::StringView *pcSVAbsoluteOne, *pcSVAbsoluteTwo;
	os::StringView *pcSVSizeOne, *pcSVSizeTwo;
	os::StringView *pcSVLinesOne, *pcSVLinesTwo;
	os::StringView *pcSVCommentCountOne, *pcSVCommentCountTwo;
	os::StringView *pcSVActualCodeOne, *pcSVActualCodeTwo;
	os::StringView *pcSVTimeOne, *pcSVTimeTwo;
	os::Button *pcOk;
	os::Message *pcFileMessage;
	os::Window *pcParentWindow;
	os::Font *pBoldFont;
};

#endif //_FILE_PROPERTIES_H
