//  Sourcery -:-  (C)opyright 2003-2004 Rick Caudill
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef MESSAGES_H
#define MESSAGES_H

enum mainwindow_messages
{
	M_UNUSED = 0,

	M_APP_QUIT = 1,
	M_APP_ABOUT = 2,
	M_APP_SETTINGS = 3,
	M_APP_REQUESTED = 4,
	M_APP_ABOUT_REQUESTED = 5,

	M_FILE_OPEN = 10,
	M_FILE_CLOSE = 11,
	M_FILE_NEW = 12,
	M_FILE_SAVE = 13,
	M_FILE_SAVE_AS = 14,
	M_FILE_PRINT = 15,
	M_FILE_PRINT_SETTINGS = 16,
	M_FILE_NEW_FROM_TEMPLATE_SETTINGS = 17,
	M_FILE_NEW_FROM_TEMPLATE = 18,
	M_FILE_OPEN_CORRES_FILE = 19,
	M_FILE_OPEN_DIRECTORY = 20,
	M_FILE_EXPORT_TO_HTML = 80,
	M_FILE_RECENT = 81,
	M_FILE_RECENT_CLEAR = 82,

	M_EDIT_CUT = 21,
	M_EDIT_COPY = 22,
	M_EDIT_PASTE = 23,
	M_EDIT_SELECT_ALL = 24,
	M_EDIT_UNDO = 25,
	M_EDIT_REDO = 26,
	M_EDIT_FILE_PROPERTIES = 27,
	M_EDIT_FILE_PROPERTIES_REQUESTED = 28,

	M_INSERT_COMMENT = 30,
	M_INSERT_DATE = 31,
	M_INSERT_TIME = 32,
	M_INSERT_DATE_TIME = 33,
	M_INSERT_PROGRAM_HEADER = 34,
	M_INSERT_CUSTOM = 35,
	M_INSERT_CUSTOM_ITEM = 36,

	M_FIND_FIND = 40,
	M_FIND_REPLACE = 41,
	M_FIND_GOTO = 42,
	M_FIND_AGAIN = 43,
	M_FIND_DOCUMENTATION = 44,
	M_FIND_DOC_CANCEL = 45,

	M_FONT_SIZE = 50,
	M_FONT_FAMILY_AND_STYLE = 51,
	M_FONT_SHEAR = 52,
	M_FONT_ROTATE = 53,

	M_TEXT_TO_LOWER = 108,
	M_TEXT_TO_UPPER = 109,
	M_TEXT_INVOKED = 110,
	M_ZOOM_IN = 111,
	M_ZOOM_OUT = 112,
	M_CLOSE_FILE_SAVE = 113,
	M_CLOSE_FILE_SAVE_REQUESTED = 114,
	M_LOAD_FILE = 115,
	M_SAVE_FILE = 116,
	M_SHOW_LINE_NUMBERS = 117,
	M_FORMAT_CHANGE = 118,
	M_NODE_MONITOR_REQUESTED = 119,
	M_REGISTRAR_GET_PATH,
	M_REGISTRAR_MAKE_FOCUS
};

enum convertdialog_messages
{
	M_CONVERT = 121,
	M_REQ_OPEN = 122,
	M_CONVERT_CANCEL = 123
};

enum gotodialog_messages
{
	M_GOTO_CANCEL = 130,
	M_GOTO_CHECK = 131,
	M_GOTO_GOTO = 132
};

enum about_messages
{
	M_OK = 140,
	M_CREDITS = 141,
	M_LINK = 142
};


enum finddialog_messages
{
	M_FIND = 160,
	M_BASIC = 161,
	M_NOCASE = 162,
	M_CASE = 163,
	M_UP = 164,
	M_SEND_FIND = 165,
	M_EXTENDED = 166,
	M_DOWN = 167,
	M_FIND_QUIT = 168,
};

enum replacedialog_messages
{
	M_REPLACE_GO = 170,
	M_REPLACE_DO = 171,
	M_REPLACE_CLOSE = 172,
	M_REPLACE_NEXT = 173,
	M_REPLACE_ALL_DO = 174,
};

enum userinsertdialog_messages
{
	M_USER_INSERT_SAVE = 180,
	M_USER_INSERT_QUIT = 181,
	M_USER_INSERT_CANCEL = 182,
	M_USER_INSERT_NEW = 183,
	M_USER_INSERT_EDIT = 184,
	M_USER_INSERT_DEL = 185,
	M_USER_INSERT_EDIT_PASSED = 186,
	M_USER_INSERT_NEW_PASSED = 187,
	M_USER_INSERT_MACROS = 188,
};

enum settings_messages
{
	M_SETTINGS_ICONVIEW_CHANGED = 300,
	M_SETTINGS_CANCEL = 301,
	M_SETTINGS_SAVE = 302,
	M_SETTINGS_DEFAULT = 303,

	M_FONT_SETTINGS_FONT_CHANGED = 304,
	M_FONT_SETTINGS_FACE_CHANGED = 305,
	M_FONT_SETTINGS_SIZE_CHANGED = 306,
	M_FONT_SETTINGS_ALIAS_CHANGED = 307,
	M_FONT_SETTINGS_ROTATE_CHANGED = 308,
	M_FONT_SETTINGS_SHEAR_CHANGED = 309,

	M_COLOR_SELECTOR = 310,

	M_COLOR_SELECTOR_WINDOW = 311,
	M_COLOR_SELECTOR_WINDOW_CANCEL = 312,
	M_COLOR_SELECTOR_WINDOW_OK = 313,
	M_COLOR_SELECTOR_WINDOW_REQUESTED = 314,
};


enum tools_messages
{
	M_TOOLS_QUIT = 400,
	M_TOOLS = 401,
	M_TOOLS_EDIT = 402,
	M_TOOLS_NEW = 403,
	M_TOOLS_DELETE = 404,
	M_TOOLS_REQUESTED = 405,
	M_TOOLS_SAVE = 406,
	M_TOOLS_CANCEL = 407,
	M_TOOLS_EDIT_WINDOW_EDIT = 408,
	M_TOOLS_SETTINGS = 409,
};

enum error_messages
{
	ERR_UNFORSEEN_ERROR = 650,
	ERR_NO_HIGHLIGHTER = 651,
	ERR_NO_FILE_SELECTED = 652,
	ERR_CONVERTOR_WRONG_FILE_TYPE = 653,
	ERR_PROPERTIES_NO_FILE = 654,
	ERR_NOT_DIRECTORY = 655,
	ERR_ONLY_WORKS_WITH_CPP = 656,
	ERR_NO_FILE_BROWSER = 657,
	ERR_CORR_FILE = 658,
};

#define APP_VERSION "0.1"
#define APP_NAME "Sourcery"

#endif
