//  Sourcery -:-  (C)opyright 2003-2004 Rick Caudill
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef TOOLS_DIALOG_H
#define TOOLS_DIALOG_H

#include <gui/listview.h>
#include <gui/requesters.h>
#include <gui/filerequester.h>
#include <gui/window.h>
#include <gui/layoutview.h>
#include <gui/button.h>
#include <gui/imagebutton.h>
#include <gui/textview.h>
#include <util/message.h>
#include <util/settings.h>

class ToolsEditWindow : public os::Window
{
public:
	//if message == NULL new and if not edit
	ToolsEditWindow( os::Window * pcParent, os::Message * pcMessage );
	virtual void HandleMessage( os::Message * pcMessage );
	virtual bool OkToQuit();

	void ChangeTo( os::Message * pcMessage );

private:
	void Layout();
	void SetTabs();

	os::TextView *pcNameText;
	os::TextView *pcCommandText;
	os::TextView *pcArgumentsText;
	os::StringView *pcNameString;
	os::StringView *pcCommandString;
	os::StringView *pcArgumentsString;
	os::Button *pcOkButton;
	os::Button *pcCancelButton;
	os::LayoutView *pcLayoutView;
	os::Window *pcParentWindow;
	os::Message *pcSaveMessage;
	os::String cCommand;
	os::String cArguments;
	os::String cName;

	int nSelected;
};

class ToolsWindow : public os::Window
{
public:
	ToolsWindow( os::Window * pcParent );
	virtual void HandleMessage( os::Message * pcMessage );
	virtual bool OkToQuit();

	void SaveTools();
	void LoadTools();

private:
	void Layout();
	void SetTabs();

	os::ListView *pcListView;
	os::LayoutView *pcLayoutView;
	os::Button *pcNewButton;
	os::Button *pcDeleteButton;
	os::Button *pcEditButton;
	os::Button *pcSaveButton;
	os::Button *pcCancelButton;
	os::Window *pcParentWindow;

	ToolsEditWindow *pcToolsEditWindow;
	bool bSaved;
};

#endif
