//  Sourcery -:-  (C)opyright 2003-2004 Rick Caudill
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef _USER_INSERTS_H
#define _USER_INSERTS_H

#include <gui/window.h>
#include <gui/layoutview.h>
#include <gui/button.h>
#include <gui/textview.h>
#include <gui/font.h>
#include <gui/stringview.h>
#include <gui/listview.h>
#include <gui/imageview.h>
#include <util/settings.h>
#include <storage/file.h>

class UserInsertsEditWindow : public os::Window
{
public:
	UserInsertsEditWindow( os::Window * pcParent, bool );
	virtual void HandleMessage( os::Message * pcMessage );
	virtual bool OkToQuit();

	void Insert( const os::String &cName, const os::String &cText );

private:
	void Layout();

	os::Window *pcParentWindow;
	os::LayoutView *pcView;
	os::TextView *pcNameText;
	os::TextView *pcInsertedText;
	os::StringView *pcNameString;
	os::StringView *pcInsertedString;
	os::Button *pcOkButton;
	os::Button *pcCancelButton;

	bool bIsNewWindow;
};

//This is a simple dialog for user defined inserts
class UserInserts : public os::Window
{
public:
	UserInserts( os::Window * pcParent );
	virtual ~UserInserts() {}
	virtual void HandleMessage( os::Message * pcMessage );
	virtual bool OkToQuit();

private:
	void Layout();
	void LoadInserts();
	void SaveInserts();

	os::LayoutView *pcView;
	os::Window *pcParentWindow;
	os::ListView *pcInsertsList;
	os::StringView *pcInsertNameString;
	os::TextView *pcInsertNameText;
	os::StringView *pcInsertTextString;
	os::TextView *pcInsertText;
	os::StringView *pcFormatsString;
	os::Button *pcOkButton;
	os::Button *pcCancelButton;
	os::Button *pcNewButton;
	os::Button *pcEditButton;
	os::Button *pcDeleteButton;
	os::Settings *pcInsertSettings;
	os::File *pcFile;
};

#endif //_USER_INSERTS_H
